import type { ANTLRInputStream as InputStream, CharStream } from 'antlr4ts';
import { Interval } from 'antlr4ts/misc/Interval';
export declare class CaseChangingStream implements CharStream {
    sourceName: string;
    private stream;
    private upper;
    constructor(sourceName: string, stream: InputStream, upper: boolean);
    LA(offset: number): any;
    reset(): void;
    consume(): void;
    LT(offset: number): number;
    mark(): number;
    release(marker: any): void;
    seek(_index: number): void;
    getText(interval: Interval): string;
    toString(): string;
    get index(): number;
    get size(): number;
}
